cascading.flow.planner.rule

## Enum PlanPhase

- java.lang.Object
- - java.lang.Enum<PlanPhase>
  - - cascading.flow.planner.rule.PlanPhase

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PlanPhase>

    public enum PlanPhase
    extends java.lang.Enum<PlanPhase>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BalanceAssembly`
`PartitionNodes`
`PartitionPipelines`
`PartitionSteps`
`PostBalanceAssembly`
`PostNodes`
`PostPipelines`
`PostResolveAssembly`
`PostSteps`
`PreBalanceAssembly`
`PreResolveAssembly`
`ResolveAssembly`

### Method Summary

Methods
`ExecAction` `getAction()`
`ProcessLevel` `getLevel()`
`RuleMode` `getMode()`
`static PlanPhase` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PlanPhase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PreBalanceAssembly

    public static final PlanPhase PreBalanceAssembly

#### BalanceAssembly

    public static final PlanPhase BalanceAssembly

#### PostBalanceAssembly

    public static final PlanPhase PostBalanceAssembly

#### PreResolveAssembly

    public static final PlanPhase PreResolveAssembly

#### ResolveAssembly

    public static final PlanPhase ResolveAssembly

#### PostResolveAssembly

    public static final PlanPhase PostResolveAssembly

#### PartitionSteps

    public static final PlanPhase PartitionSteps

#### PostSteps

    public static final PlanPhase PostSteps

#### PartitionNodes

    public static final PlanPhase PartitionNodes

#### PostNodes

    public static final PlanPhase PostNodes

#### PartitionPipelines

    public static final PlanPhase PartitionPipelines

#### PostPipelines

    public static final PlanPhase PostPipelines

### Method Detail

#### values

    public static PlanPhase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PlanPhase c : PlanPhase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlanPhase valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getLevel

    public ProcessLevel getLevel()

#### getAction

    public ExecAction getAction()

#### getMode

    public RuleMode getMode()